package _04_方法练习;



public class Test4 {
    public static void main(String[] args) {
        /**
         *
         * 定义一个方法`copyOfRange(int[] arr, int from, int to)`，
         * 功能是将数组`arr`中从索引`from`（包含`from`）开始，到索引`to`（不包含`to`）的元素复制到新数组中，
         * 并将新数组返回。
         * {1,2,3,4,5,6}
         * 3-5
         * {1,2,3}  新的数组中 并且返回新的数组
         *
         * 1 定义出来一个方法copyOfRange(int[] arr, int from, int to)
         * 2 copyOfRange(arr,from,to){
         *     // 定出来一个新的数组 [to-from+1]
         *     // 0 1 2
         *     int[] newArr = new int[3];
         *     // 遍历旧的数组
         *     int index = 0;
         *     fori(int i=3 ; i<=5 ; i++){
         *         newArr[index] =  arr[i];
         *         index++;
         *     }
         * }
         *
         */
        int[] arr = {1,2,3,4,5,6,7};
        int[] newArr = copyOfRange1(arr,3,5);
        for (int i = 0; i < newArr.length; i++) {
            System.out.println(newArr[i]);
        }
    }

    private static int[] copyOfRange1(int[] arr, int from, int to) {
        // 1 定义出来一个新的数组
        int[] newArr = new int[to-from+1];
        int index = 0;
        // 2 遍历旧数组
        for (int i = from; i <= to; i++) {
            newArr[index] = arr[i];
            index++;
        }
        return newArr;
    }
}
